import { TEMPLATE_DESCRIPTION, TEMPLATE_INVENTAIRE } from "../../common/_module.mjs";
import { ITEM_TYPES } from "../../constants.js";
import RdDItemBaseSheet from "./common-item-sheet.mjs";

export default class RdDTarotSheet extends RdDItemBaseSheet {
  /** @override */
  static get ITEM_TYPE() { return ITEM_TYPES.tarot }
  static get TEMPLATES() { return [TEMPLATE_DESCRIPTION] }

  /** @override */
  static DEFAULT_OPTIONS = Object.assign({},
    RdDItemBaseSheet.DEFAULT_OPTIONS,
    {
      classes: ["fvtt-rdd", "item", "tarot"],
      position: { width: 400 },
      window: { contentClasses: ["tarot-content"] }
    })

  /** @override */
  static PARTS = {
    main: {
      template: "systems/foundryvtt-reve-de-dragon/templates/sheets/item/tarot.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    return Object.assign(
      await super._prepareContext(),
      await TEMPLATE_DESCRIPTION.prepareContext(this.document)
    )
  }
}